RHSA-2009:0420-01 Moderate: ghostscript security update
Posted on: 04/14/2009 07:45 PM

A new update is available for Red Hat Enterprise Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: ghostscript security update
Advisory ID: RHSA-2009:0420-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2009-0420.html
Issue date: 2009-04-14
CVE Names: CVE-2007-6725 CVE-2009-0792
=====================================================================

1. Summary:

Updated ghostscript packages that fix multiple security issues are now
available for Red Hat Enterprise Linux 3 and 4.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Desktop version 3 - i386, x86_64
Red Hat Enterprise Linux AS version 3 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Description:

Ghostscript is a set of software that provides a PostScript interpreter, a
set of C procedures (the Ghostscript library, which implements the graphics
capabilities in the PostScript language) and an interpreter for Portable
Document Format (PDF) files.

It was discovered that the Red Hat Security Advisory RHSA-2009:0345 did not
address all possible integer overflow flaws in Ghostscript's International
Color Consortium Format library (icclib). Using specially-crafted ICC
profiles, an attacker could create a malicious PostScript or PDF file with
embedded images that could cause Ghostscript to crash or, potentially,
execute arbitrary code when opened. (CVE-2009-0792)

A missing boundary check was found in Ghostscript's CCITTFax decoding
filter. An attacker could create a specially-crafted PostScript or PDF file
that could cause Ghostscript to crash or, potentially, execute arbitrary
code when opened. (CVE-2007-6725)

Users of ghostscript are advised to upgrade to these updated packages,
which contain backported patches to correct these issues.

4. Solution:

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

491853 - CVE-2009-0792 ghostscript, argyllcms: Incomplete fix for CVE-2009-0583
493442 - CVE-2007-6725 ghostscript: DoS (crash) in CCITTFax decoding filter

6. Package List:

Red Hat Enterprise Linux AS version 3:

Source:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/ghostscript-7.05-32.1.20.src.rpm

i386:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-devel-7.05-32.1.20.i386.rpm
hpijs-1.3-32.1.20.i386.rpm

ia64:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-7.05-32.1.20.ia64.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.ia64.rpm
ghostscript-devel-7.05-32.1.20.ia64.rpm
hpijs-1.3-32.1.20.ia64.rpm

ppc:
ghostscript-7.05-32.1.20.ppc.rpm
ghostscript-7.05-32.1.20.ppc64.rpm
ghostscript-debuginfo-7.05-32.1.20.ppc.rpm
ghostscript-debuginfo-7.05-32.1.20.ppc64.rpm
ghostscript-devel-7.05-32.1.20.ppc.rpm
hpijs-1.3-32.1.20.ppc.rpm

s390:
ghostscript-7.05-32.1.20.s390.rpm
ghostscript-debuginfo-7.05-32.1.20.s390.rpm
ghostscript-devel-7.05-32.1.20.s390.rpm
hpijs-1.3-32.1.20.s390.rpm

s390x:
ghostscript-7.05-32.1.20.s390.rpm
ghostscript-7.05-32.1.20.s390x.rpm
ghostscript-debuginfo-7.05-32.1.20.s390.rpm
ghostscript-debuginfo-7.05-32.1.20.s390x.rpm
ghostscript-devel-7.05-32.1.20.s390x.rpm
hpijs-1.3-32.1.20.s390x.rpm

x86_64:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-7.05-32.1.20.x86_64.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.x86_64.rpm
ghostscript-devel-7.05-32.1.20.x86_64.rpm
hpijs-1.3-32.1.20.x86_64.rpm

Red Hat Desktop version 3:

Source:
ftp://updates.redhat.com/enterprise/3desktop/en/os/SRPMS/ghostscript-7.05-32.1.20.src.rpm

i386:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-devel-7.05-32.1.20.i386.rpm
hpijs-1.3-32.1.20.i386.rpm

x86_64:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-7.05-32.1.20.x86_64.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.x86_64.rpm
ghostscript-devel-7.05-32.1.20.x86_64.rpm
hpijs-1.3-32.1.20.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

Source:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/ghostscript-7.05-32.1.20.src.rpm

i386:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-devel-7.05-32.1.20.i386.rpm
hpijs-1.3-32.1.20.i386.rpm

ia64:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-7.05-32.1.20.ia64.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.ia64.rpm
ghostscript-devel-7.05-32.1.20.ia64.rpm
hpijs-1.3-32.1.20.ia64.rpm

x86_64:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-7.05-32.1.20.x86_64.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.x86_64.rpm
ghostscript-devel-7.05-32.1.20.x86_64.rpm
hpijs-1.3-32.1.20.x86_64.rpm

Red Hat Enterprise Linux WS version 3:

Source:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/ghostscript-7.05-32.1.20.src.rpm

i386:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-devel-7.05-32.1.20.i386.rpm
hpijs-1.3-32.1.20.i386.rpm

ia64:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-7.05-32.1.20.ia64.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.ia64.rpm
ghostscript-devel-7.05-32.1.20.ia64.rpm
hpijs-1.3-32.1.20.ia64.rpm

x86_64:
ghostscript-7.05-32.1.20.i386.rpm
ghostscript-7.05-32.1.20.x86_64.rpm
ghostscript-debuginfo-7.05-32.1.20.i386.rpm
ghostscript-debuginfo-7.05-32.1.20.x86_64.rpm
ghostscript-devel-7.05-32.1.20.x86_64.rpm
hpijs-1.3-32.1.20.x86_64.rpm

Red Hat Enterprise Linux AS version 4:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/ghostscript-7.07-33.2.el4_7.8.src.rpm

i386:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-devel-7.07-33.2.el4_7.8.i386.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.i386.rpm

ia64:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-7.07-33.2.el4_7.8.ia64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.ia64.rpm
ghostscript-devel-7.07-33.2.el4_7.8.ia64.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.ia64.rpm

ppc:
ghostscript-7.07-33.2.el4_7.8.ppc.rpm
ghostscript-7.07-33.2.el4_7.8.ppc64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.ppc.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.ppc64.rpm
ghostscript-devel-7.07-33.2.el4_7.8.ppc.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.ppc.rpm

s390:
ghostscript-7.07-33.2.el4_7.8.s390.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.s390.rpm
ghostscript-devel-7.07-33.2.el4_7.8.s390.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.s390.rpm

s390x:
ghostscript-7.07-33.2.el4_7.8.s390.rpm
ghostscript-7.07-33.2.el4_7.8.s390x.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.s390.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.s390x.rpm
ghostscript-devel-7.07-33.2.el4_7.8.s390x.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.s390x.rpm

x86_64:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-devel-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/ghostscript-7.07-33.2.el4_7.8.src.rpm

i386:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-devel-7.07-33.2.el4_7.8.i386.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.i386.rpm

x86_64:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-devel-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/ghostscript-7.07-33.2.el4_7.8.src.rpm

i386:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-devel-7.07-33.2.el4_7.8.i386.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.i386.rpm

ia64:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-7.07-33.2.el4_7.8.ia64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.ia64.rpm
ghostscript-devel-7.07-33.2.el4_7.8.ia64.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.ia64.rpm

x86_64:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-devel-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/ghostscript-7.07-33.2.el4_7.8.src.rpm

i386:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-devel-7.07-33.2.el4_7.8.i386.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.i386.rpm

ia64:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-7.07-33.2.el4_7.8.ia64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.ia64.rpm
ghostscript-devel-7.07-33.2.el4_7.8.ia64.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.ia64.rpm

x86_64:
ghostscript-7.07-33.2.el4_7.8.i386.rpm
ghostscript-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.i386.rpm
ghostscript-debuginfo-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-devel-7.07-33.2.el4_7.8.x86_64.rpm
ghostscript-gtk-7.07-33.2.el4_7.8.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-6725
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0792
http://www.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is lt;secalert@redhat.comgt;. More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2009 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFJ5NB3XlSAg2UNWIIRAgRPAJ9Lv0cn2hujR7bEs2z0qX62R/tqkACfcM34
CU+WdchM9zlmN4NfHMwxjKQ=
=t1dk
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_20090420_01_moderate_ghostscript_security_update.html)